package com.cdrussell.numbergames;

import android.content.Context;
import android.util.AttributeSet;
import android.util.Log;
import android.view.KeyEvent;
import android.widget.EditText;

public class PermanentKeyboardEditText extends EditText
{

	public PermanentKeyboardEditText(Context context)
	{
		super(context);
	}
	
	public PermanentKeyboardEditText(Context context, AttributeSet attrs)
	{
		super(context, attrs);
	}
	
	public PermanentKeyboardEditText(Context context, AttributeSet attrs, int defStyle)
	{
		super(context, attrs, defStyle);
	}
	
	@Override
	public boolean onKeyPreIme(int keyCode, KeyEvent event)
	{
		if((event.getKeyCode() == KeyEvent.KEYCODE_BACK) && event.getAction() == KeyEvent.ACTION_UP)
		{
			Log.d(getClass().getName(), "Back button pressed; refusing to obey");
			return true;
		}
		return super.dispatchKeyEvent(event);
	}

}
